<?php
require("conexion.php");

date_default_timezone_set('America/Mazatlan');
	$codcliente = $_POST['cliente'];
	$tipoord = $_POST['tipoord'];
	$emp = $_POST['emp'];
	$folio = $_POST['folio'];
	$tipofolio = $_POST['tipofolio'];
	$fecha = $_POST['fecha'];

	$sub = $_POST['sub'];
	$dcto = $_POST['dcto'];
	$total = $_POST['total'];
	$anti = $_POST['anti'];
	$saldo = $_POST['saldo'];
	$costo = $_POST['costo'];
	$util = $_POST['utilidad'];

	$obsp = $_POST['obsp'];

	$hrent = $_POST['hrent'];
	$fechaent = $_POST['fechaent'];

	$mp = $_POST['mp'];
	$antimon = $_POST['antimon'];

	$user = $_SESSION['id_user'];
	$priv = $_SESSION['Priv'];
	$suc = $_POST['suc'];
	$nomadmin = $_SESSION['nom_admin'];

	$cli = mysqli_query($conexion,"SELECT * FROM Clientes WHERE IdCliente = '$codcliente'");
	$c = mysqli_fetch_array($cli);
	$tipo = $c['TipoCliente'];
	
if($tipoord == 1){

	if($tipofolio == 1){
		if($tipo == 2 && $priv < 2){
			$pre .= 'PRE-';
		}
		if($suc == 1){
	    $pre .= 'CUL-';
		$folioprevio = 'PRE-CUL-';
	    $su = 'CULIACAN';
		}else if ($suc == 2){
		    $pre .= 'MAZ-';
		    $folioprevio = 'PRE-MAZ-';
		    $su = 'MAZATLAN';
		}else if($suc == 3){
		    $pre .= 'HER-';
		    $folioprevio = 'PRE-HER-';
		    $su = 'HERMOSILLO';
		}
		$fol = mysqli_query($conexion,"SELECT * FROM Ventas ");
		if(mysqli_num_rows($fol)>0){

		    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoFolio = '1' AND IdSucursal ='$suc' AND Serie ='$pre' order by FolioVenta desc limit 1");
		    $f = mysqli_fetch_array($foli);
		    $num = $f['FolioVenta']+1;
		    $num = sprintf('%04d',$num);
		    $folio = $pre.$num;
		}else{
		    $num = sprintf('%04d', 1);
		    $folio = $pre.$num;
		}
	}else if($tipofolio == 2){
		if($suc == 1){
	    $pre = 'NVC-';
		}else if ($suc == 2){
		    $pre = 'NVM-';
		}else if($suc == 3){
		    $pre = 'NVH-';
		}
		$fol = mysqli_query($conexion,"SELECT * FROM Ventas ");
		if(mysqli_num_rows($fol)>0){

		    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoFolio ='2' AND IdSucursal = '$suc' AND Serie ='$pre'  AND Activo = '1' order by FolioVenta desc limit 1");
		    $f = mysqli_fetch_array($foli);
		    $num = $f['FolioVenta']+1;
		    $num = sprintf('%04d',$num);
		    $folio = $pre.$num;
		}else{
		    $num = sprintf('%04d', 1);
		    $folio = $pre.$num;
		}

	}
}else if($tipoord == 2){
	$pre = 'COT-';
	$fol = mysqli_query($conexion,"SELECT * FROM Ventas ");
		if(mysqli_num_rows($fol)>0){

		    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoOrden ='2'  AND Activo = '1' order by FolioVenta desc limit 1");
		    $f = mysqli_fetch_array($foli);
		    $num = $f['FolioVenta']+1;
		    $num = sprintf('%04d',$num);
		    $folio = $pre.$num;
		}else{
		    $num = sprintf('%04d', 1);
		    $folio = $pre.$num;
		}
}else if($tipoord == 3){
	if($suc == 1){
	    $pre = 'PERC-';
		}else if ($suc == 2){
		    $pre = 'PERM-';
		}else if($suc == 3){
		    $pre = 'PERH-';
		}
		$fol = mysqli_query($conexion,"SELECT * FROM Ventas ");
		if(mysqli_num_rows($fol)>0){

		    $foli = mysqli_query($conexion,"SELECT FolioVenta from Ventas WHERE TipoOrden ='3'  AND Activo = '1' AND IdSucursal ='$suc' AND Serie ='$pre' order by FolioVenta desc limit 1");
		    $f = mysqli_fetch_array($foli);
		    $num = $f['FolioVenta']+1;
		    $num = sprintf('%04d',$num);
		    $folio = $pre.$num;
		}else{
		    $num = sprintf('%04d', 1);
		    $folio = $pre.$num;
		}
}


function round_up ( $value, $precision ) { 
    $pow = pow ( 10, $precision ); 
    return ( ceil ( $pow * $value ) + ceil ( $pow * $value - ceil ( $pow * $value ) ) ) / $pow; 
} 




	
	$nomcc = $c['Nombre'];
	$correo = $c['Correo'];
	$tel = $c['Celular'];

	
	$ale = intval( "0" . rand(1,9) . rand(0,9) . rand(0,9) . rand(0,9) . rand(0,9) ); // random(ish) 5 digit int
	$id = $cod.$ale;

	$prueba = date("Y-m-d H:i:s");
	$fechap = date("Y-m-d"); 

	/* TIPO MOVIMIENTOS
	1- Venta
	2- Compra
	3- Editar una orden
*/
	
	if($tipoord == 1){
		$desc = 'ORDEN CAPTURADA FOLIO '.$folio.' CLIENTE '.$nomcc;
		$tipomov = 1;
	}else if($tipoord == 2){
		$desc = 'COTIZACION CAPTURADA FOLIO '.$folio.' CLIENTE '.$nomcc;
		$anti = 0;
		$tipomov = 4;
	}else if($tipoord == 3){
		$desc = 'PERDIDA CAPTURADA FOLIO '.$folio.' CLIENTE '.$nomcc;
		$anti = 0;
		$tipomov = 4;
	}
	
	if($saldo == 0){
		$edop = 2;
	}else if($saldo > 0 && ($anti > 0 || $antimon > 0) ){
		$edop = 1;
	}else if ($anti == 0){
		$edop = 0;
	}

	$vigm = mysqli_query($conexion,"SELECT * FROM VigenciaMonedero WHERE Activo = 1");
	$vig = mysqli_fetch_array($vigm);
	$vi = $vig['FechaVigencia'];

	if($tipoord == 1){
		if($edop == 2){
			if($tipo == 2){
				$mon = round(($total / 1.16) * 0.05,2);
			}else if($tipo == 1){
				$mon = round(($total / 1.16) * 0.1,2);
			}
			$descme = 'NUEVA ORDEN - MONEDERO ELECTRONICO POR LA CANTIDAD DE '.$mon;
			$verif_mon = mysqli_query($conexion,"SELECT * From Monedero WHERE IdCliente = '$codcliente' and Activo = 1");
			if(mysqli_num_rows($verif_mon) > 0){
				$var = mysqli_fetch_array($verif_mon);
				$idm = $var['IdMonedero'];
				$vigencia = $var['Vigencia'];
				$tipomon = $var['TipoMonedero'];
				$saldoactual = $var['SaldoActual'];
				$ultimacompra = $var['UltimaCompra'];
				$saldototal = ($saldoactual + $mon) - $antimon;

				if($priv > 2){
				$ume = mysqli_query($conexion,"UPDATE Monedero SET Vigencia = '$vi',SaldoActual = '$saldototal',UltimaCompra = '$prueba' WHERE IdCliente = '$codcliente' ");
				
				$umed = mysqli_query($conexion,"INSERT INTO MonederoDetalle VALUES (DEFAULT,'$pre','$num','$idm',1,'$mon',1,'$user','$prueba','$descme')");
				}
			}else{
				$me = mysqli_query($conexion,"INSERT INTO Monedero VALUES(DEFAULT,'$codcliente','$vi',1,'$mon',DEFAULT,1)");
				sleep(2);
				
				$idmon = mysqli_query($conexion,"SELECT * FROM Monedero WHERE IdCliente = '$codcliente' and Activo = 1");
				$vmon = mysqli_fetch_array($idmon);
				$idm = $vmon['IdMonedero'];
				$umed = mysqli_query($conexion,"INSERT INTO MonederoDetalle VALUES (DEFAULT,'$pre','$num','$idm',1,'$mon',1,'$user','$prueba','$descme')");
			}
		}else{
			if($antimon > 0 && $priv > 2){
				$cmon = mysqli_query($conexion,"SELECT * FROM Monedero WHERE IdCliente = '$codcliente' AND Activo = 1" );
				$cmo = mysqli_fetch_array($cmon);
				$salact = $cmo['SaldoActual'];
				$saldototal = $salact - $antimon;
				$updt = mysqli_query($conexion,"UPDATE Monedero SET SaldoActual = '$saldototal' WHERE IdCliente = '$codcliente' AND Activo = 1");
			}
		}
	}
	if($tipo == 2 && $priv <2){
		$edoorden = 9;
		$activo = 0;
	}else{
		$activo = 1;
		$edoorden = 0;
	}
	$r = mysqli_query($conexion,"INSERT INTO Ventas VALUES(DEFAULT,'$tipoord','$user','$pre','$num','$tipofolio','$prueba','$fecha','$suc','$codcliente','$sub','$dcto','$total','$anti','$saldo','$obsp','$hrent','$fechaent',0,NULL,'$edop',$edoorden,$activo,'$costo','$util',0,0,0,'$antimon',0,0);");

	$vd = mysqli_query($conexion,"UPDATE VentasDetalle SET IdVenta = '$num', Serie='$pre' WHERE IdVenta = 0 AND IdSucursal = '$suc' AND IdUsuario = '$user'");

	$m = mysqli_query($conexion,"INSERT INTO Movimientos VALUES(DEFAULT,'$pre','$num','$desc','$tipomov','$prueba','$total','$anti','$saldo','$user','$suc',1,'$fechap','$mp',0);");

	$folm = mysqli_query($conexion,"SELECT * FROM Movimientos ");
	if(mysqli_num_rows($folm)>0){

	    $folim = mysqli_query($conexion,"SELECT IdMovimiento from Movimientos order by IdMovimiento desc limit 1");
	    $fm = mysqli_fetch_array($folim);
	    $idm = $fm['IdMovimiento']+1;
	}else{
	    $idm = '1';
	}

	$md = mysqli_query($conexion,"UPDATE MovDetalle SET IdVenta = '$num', Serie = '$pre',IdMovimiento = '$idm' WHERE IdVenta = 0 AND IdSucursal = '$suc' AND IdUsuario = '$user' AND IdMovimiento IS NULL");



	//echo $tipo.' '.$cant.' '.$largo.' '.$ancho.' '.$med.' '.$area.' '.$cod.' '.$cm.' '.$ca.' '.$ml.' '.$res.' '.$pap.' '.$text.' '.$canva.' '.$acri.' '.$dobcar.' '.$obs.' '.$totprecio.' '.$totcm.' '.$totca.' '.$totml.' '.$totres.' '.$totpap.' '.$tottext.' '.$maq.' '.$totcanva.' '.$totacrilico.' '.$totdobca.' '.$total.' '.$user.' '.$fecha.' '.$idsuc;
	if($tipo == 2 && $priv >  2){
		if($suc == 2){
			$destinatario = $correo.", cuadropolis_t1@hotmail.com"; 
		}else{
			$destinatario = $correo;
		}
			$asunto = "CUADROPOLIS - Se ha capturado una nueva orden ".$folio; 

			/* COMENTADO PARA MANDAR CORREO A TODOS LOS CLIENTES
			$cuerpo = ' 
			<html> 
			<head><meta charset="gb18030"> 
			<title>Nueva orden capturada</title> 
			</head> 
			<body> 
			<div align="center">
			<h1>Se ha capturado una nueva orden!</h1> 
			<p> 
			<b>Folio de la orden: '.$folio.' 
			</p> 
			<p> 
			<b>Cliente: '.$nomcc.'
			</p>
			<p> 
			<b>Total: $'.$total.'
			</p>
			<p> 
			<b>Anticipo: $'.$anti.'
			</p>
			<p> 
			<b>Saldo: $'.$saldo.'
			</p>
			<p style="background-color:#FEF102;color:black;"> 
			<b>Puntos en monedero: $'.$saldototal.'
			</p>    
			<p> 
			<b>Sucursal: '.$su.'
			</p> 
			<p> 
			<b>Capturada por: '.$nomadmin.'
			</p>
			<p>
			<a href="http://sistema.cuadropolis.mx/formato.php?serie='.$pre.'&folio='.$num.'">Ver orden</a>
			</p>
			<br>
			</body> 
			</html> 
			';  */
	/* 	QUITAR COMENTARIO PARA MANDAR CORREO SOLO A MOSTRADOR
			if($tipo == 1){ */
				$cuerpo = ' 
					<html> 
					<head> 
					<title>Nueva orden capturada</title> 
					</head> 
					<body> 
					<div align="center">
					<h1>Se ha capturado una nueva orden!</h1> 
					<p> 
					<b>Folio de la orden: '.$folio.' 
					</p> 
					<p> 
					<b>Cliente: '.$nomcc.'
					</p>
					<p> 
					<b>Total: $'.$total.'
					</p>
					<p> 
					<b>Anticipo: $'.$anti.'
					</p>
					<p> 
					<b>Saldo: $'.$saldo.'
					</p>   
					<p style="background-color:#FEF102;color:black;"> 
					<b>Puntos en monedero: $'.$saldototal.'
					</p>
					<p> 
					<b>Sucursal: '.$su.'
					</p> 
					<p> 
					<b>Capturada por: '.$nomadmin.'
					</p>
					<p>
					<a href="http://sistema.cuadropolis.mx/formato.php?serie='.$pre.'&folio='.$num.'">Ver orden</a>
					</p>
					<br>
					<div align="center" width="500"><img src="https://i.imgur.com/2ZdqDNa.png" width="100%"></div>  
					</div>
					</body> 
					</html> 
					'; 
	/* 		}  CERRAR LLAVE DE MANDAR SOLO A MOSTRADOR*/
			//para el envío en formato HTML 
			$headers .= "Organization: Cuadropolis\r\n";
			$headers .= "MIME-Version: 1.0\r\n"; 
			$headers .= "Content-type: text/html; charset=iso-8859-1\r\n"; 
			$headers .= "X-Priority: 3\r\n";
			$headers .= "X-Mailer: PHP". phpversion() ."\r\n";

			//dirección del remitente 
			$headers .= "From: Cuadropolis-SIC <ventas@cuadropolis.mx>\r\n"; 


			mail($destinatario,$asunto,$cuerpo,$headers);
		}

	echo $pre.'|'.$num.'|'.$suc.'|'.$nomcc.'|'.$folio.'|'.$tel.'|'.$user.'|'.$priv.'|'.$tipo;

?>